Bitcoin Depot Inc.

Company API endpoints for Bitcoin treasury, holdings, price, profile, and performance data.

How to call

Request format

GET
curl -X GET "https://newhedge.io/api/v2/companies/bitcoin-depot-inc/METRIC_NAME?api_token=YOUR_TOKEN"
Query params

api_token (required) — 24 character token.

Path params

:metric_name — one of the company metric names listed below.

Responses

200 with JSON payload, 401 for missing/invalid token, 404 for missing resources.

Metrics

Each company metric is fetched independently.

7 metrics
Metric

Bitcoin Acquisitions

Bitcoin acquisition history for the company.

Endpoint
https://newhedge.io/api/v2/companies/bitcoin-depot-inc/bitcoin-acquisitions?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  {
    "date": 1738540800000,
    "type": "buy",
    "coin_id": "bitcoin",
    "source_url": "https://ir.bitcoindepot.com/news-events/press-releases/detail/91/bitcoin-depot-adds-additional-5-million-in-bitcoin-to-its",
    "holding_balance": 71.5,
    "holding_net_change": 51.5,
    "transaction_value_usd": 5222806.58,
    "average_entry_value_usd": 0.0,
    "transaction_value_calculated": true
  },
  {
    "date": 1740441600000,
    "type": "buy",
    "coin_id": "bitcoin",
    "source_url": "https://ir.bitcoindepot.com/news-events/press-releases/detail/92/bitcoin-depot-adds-another-11-btc-to-its-treasury",
    "holding_balance": 82.5,
    "holding_net_change": 11.0,
    "transaction_value_usd": 973900.62,
    "average_entry_value_usd": 0.0,
    "transaction_value_calculated": true
  },
  {
    "date": 1749772800000,
    "type": "buy",
    "coin_id": "bitcoin",
    "source_url": "https://www.globenewswire.com/news-release/2025/06/13/3098972/0/en/Bitcoin-Depot-Adds-to-Bitcoin-Treasury-Holdings-Amid-Continued-Market-Momentum.html",
    "holding_balance": 100.0,
    "holding_net_change": 17.5,
    "transaction_value_usd": 1856844.85,
    "average_entry_value_usd": 0.0,
    "transaction_value_calculated": true
  }
]
Metric

Bitcoin Holdings

Historical Bitcoin holdings for the company.

Endpoint
https://newhedge.io/api/v2/companies/bitcoin-depot-inc/bitcoin-holdings?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  [
    1778976000000,
    100.0
  ],
  [
    1779062400000,
    100.0
  ],
  [
    1779148800000,
    100.0
  ]
]
Metric

Bitcoin Holdings USD

Historical USD value of the company's Bitcoin holdings.

Endpoint
https://newhedge.io/api/v2/companies/bitcoin-depot-inc/bitcoin-holdings-usd?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  [
    1778976000000,
    7742986.0
  ],
  [
    1779062400000,
    7694427.0
  ],
  [
    1779148800000,
    7676000.999999999
  ]
]
Metric

Price Data

Historical market price data stored on the company profile.

Endpoint
https://newhedge.io/api/v2/companies/bitcoin-depot-inc/price-data?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  {
    "low": 2.56,
    "date": "2026-05-15",
    "high": 3.1888,
    "open": 2.66,
    "close": 2.93,
    "volume": 765562
  },
  {
    "low": 0.65,
    "date": "2026-05-18",
    "high": 0.89,
    "open": 0.6769,
    "close": 0.7842,
    "volume": 6691024
  },
  {
    "low": 0.5519,
    "date": "2026-05-19",
    "high": 0.6599,
    "open": 0.58,
    "close": 0.563,
    "volume": 1853751
  }
]
Metric

Company Data

Company profile, fundamentals, and related reference data.

Endpoint
https://newhedge.io/api/v2/companies/bitcoin-depot-inc/company-data?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
{
  "eps_estimate_next_quarter": 0,
  "quarterly_earnings_growth": 0.102,
  "eps_estimate_current_quarter": -0.4667
}
Metric

Performance Metrics

Calculated performance metrics for the company.

Endpoint
https://newhedge.io/api/v2/companies/bitcoin-depot-inc/performance-metrics?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
{
  "one_month_return": -91.22,
  "six_month_return": -96.06,
  "three_month_return": -91.56
}
Metric

Treasury Metrics

Bitcoin treasury summary metrics for the company.

Endpoint
https://newhedge.io/api/v2/companies/bitcoin-depot-inc/treasury-metrics?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
{
  "btc_percent_company": 86.3,
  "total_btc_percentage": 0.0,
  "share_price_change_state": "down"
}